#pragma once
#ifndef COMMONINCLUDE_H_
#define COMMONINCLUDE_H_

#include <windows.h>
#include <stdlib.h>
#include <string>
#include <iostream>
#include <list>
#include <vector>
#include <map>

#include "sdl.h"
#include "sdl_image.h"
#include "sdl_ttf.h"
#include "sdl_mixer.h"

namespace EPOC
{
	const std::string SDKVERSION = "0.9.3.1 ";
	const std::string DEFAULT_TITLE = "EPOC v" + SDKVERSION;
	const std::string DEFAULT_FONT = "./data/fonts/arial.ttf";
	const unsigned int DEFAULT_FONT_SIZE = 12;
	const unsigned int ZORDER_MIN = 0;
	const unsigned int ZORDER_MAX = 512;

	enum RENDER_MODE
	{
		kRENDER_MODE_UNKNOWN,
		kRENDER_MODE_SDL,
		kRENDER_MODE_OPENGL,
	
	}; // enum RENDER_MODE
}; // namespace EPOC

#endif